Subject: Re: linux-next: manual merge of the drivers-x86 tree with the watchdog tree

From: Darren Hart <[email-masked]>
Date: Tue, 2 May 2017 13:21:59 -0700

On Tue, May 02, 2017 at 12:12:17PM -0700, Guenter Roeck wrote:
> On Tue, May 02, 2017 at 11:09:40AM -0700, Darren Hart wrote:
> > On Tue, May 02, 2017 at 02:04:03PM +1000, Stephen Rothwell wrote:
> > > Hi all,
> > > 
> > > Today's linux-next merge of the drivers-x86 tree got a conflict in:
> > > 
> > >   drivers/watchdog/iTCO_wdt.c
> > > 
> > > between commit:
> > > 
> > >   38a700fa1df9 ("watchdog: iTCO_wdt: cleanup set/unset no_reboot_bit functions")
> > > (which also appears in the drivers-x86 tree as commit f583a884afec)
> > > 
> > 
> > Andy and Guenter, I presume the two of you discussed how this patch would get
> > submitted as I see the following in the platform driver x86 for-next branch:
> > 
> >     Acked-by: Guenter Roeck <[email-masked]>
> >     Signed-off-by: Andy Shevchenko <[email-masked]>
> > 
> > for both:
> > 
> > 140c91b2 watchdog: iTCO_wdt: Add PMC specific noreboot update api
> > f583a88 watchdog: iTCO_wdt: cleanup set/unset no_reboot_bit functions
> > 
> 
> I did not expect f583a88/38a700fa1df9 to show up in some other tree, sorry.
> I don't recall discussing how to handle it either, though my memory may defeat
> me. If so, my apologies.
> 
> > This suggests these were deliberately added to our tree and not accidentally
> > included through a rebase without --preserve-merges or something like that.
> > 
> > Guenter, if you prefer/need to submit this through your tree, can you provide
> > us with an immutable branch to merge for the dependencies of our later patches?
> > If you can drop these two patches without a dependency problem in your tree,
> > that would be the cleanest solution as we could avoid an additional merge.
> > 
> 
> Please check with Wim.

Thanks Guenter.

Wim, for context, this was a 6 patch series, with 4 patches to the platform
driver x86 tree and 2patches to the watchdog tree. The series was reviewed by
Guenter and Andy, and in v7 Andy replied that he had pushed the series to
testing (the testing branch of the platform driver x86 tree).

https://lkml.org/lkml/2017/4/25/666

>>From my perspective, the most direct solution would be to drop these two patches
from the watchdog tree and let them go through the platform driver x86 tree with
Guenter's Acked-by. If you have additional patches which depend on these two,
then if you will provide an immutable branch we can merge, we can do that too
(but I try to keep the number of external merges to a minimum - which is
becoming increasingly difficult lately for some reason).

Thanks,

-- 
Darren Hart
VMware Open Source Technology Center